const CryptoJS = require("crypto-js");

export const AES = content => {
  return content;
  // const key = CryptoJS.enc.Utf8.parse("1234567890123456");

  // const enstr = CryptoJS.AES.encrypt(content + "", key, {
  //   mode: CryptoJS.mode.ECB,
  //   padding: CryptoJS.pad.Pkcs7
  // }).toString();

  // return enstr;
};

/**
 * 获取authorisation
 * @param {Object} infos 相关信息
 * @param {String} type 类别：secret、token两种
 */
export const getAuthorisation = (infos, type) => {
  // {type} {invoker}:base64(sha1(method&uri&timestamp&{secret}))
  const timestamp = Date.now();
  if (type === "secret") {
    // accessKey | method&uri&timestamp&accessSecret
    const str = `${infos.method.toLowerCase()}&${infos.uri}&${timestamp}&${
      infos.accessSecret
    }`;
    const sign = CryptoJS.enc.Base64.stringify(CryptoJS.SHA1(str));
    return {
      timestamp,
      Authorization: `Secret ${infos.accessKey}:${sign}`
    };
  } else if (type === "token") {
    // userId | method&uri&timestamp&token
    const str = `${infos.method.toLowerCase()}&${infos.uri}&${timestamp}&${
      infos.token
    }`;
    const sign = CryptoJS.enc.Base64.stringify(CryptoJS.SHA1(str));
    return {
      timestamp,
      Authorization: `Token ${infos.account}:${sign}`
    };
  }
};
