import Vue from "vue";
import {
  TEMPLATE_CLASSIFY,
  EXAM_TASK_STATUS,
  AUDITING_STATUS,
  AUDITING_RESULT,
  PRINT_PLAN_STATUS,
  PRINT_STATUS
} from "../constants/enumerate";
import { formatDate } from "../plugins/utils";

const DEFAULT_FIELD = "--";

Vue.filter("enableFilter", function(val) {
  return val ? "启用" : "禁用";
});
Vue.filter("templateClassifyFilter", function(val) {
  return TEMPLATE_CLASSIFY[val] || DEFAULT_FIELD;
});
Vue.filter("orgsFilter", function(val) {
  return val.map(item => item.name).join("，");
});
Vue.filter("rolesFilter", function(val) {
  return val.map(item => item.name).join("，");
});
Vue.filter("coursesFilter", function(val) {
  return val.map(item => `${item.name}(${item.code})`).join("，");
});
Vue.filter("examTaskStatusFilter", function(val) {
  return EXAM_TASK_STATUS[val] || DEFAULT_FIELD;
});
Vue.filter("auditStatusFilter", function(val) {
  return AUDITING_STATUS[val] || DEFAULT_FIELD;
});
Vue.filter("reviewStatusFilter", function(val) {
  return AUDITING_RESULT[val] || DEFAULT_FIELD;
});
Vue.filter("printPlanStatusFilter", function(val) {
  return PRINT_PLAN_STATUS[val] || DEFAULT_FIELD;
});
Vue.filter("printStatusFilter", function(val) {
  return PRINT_STATUS[val] || DEFAULT_FIELD;
});
Vue.filter("timestampFilter", function(val) {
  return val ? formatDate("YYYY-MM-DD HH:mm:ss", new Date(val)) : DEFAULT_FIELD;
});
