import { objAssign, randomCode, tableAction } from "@/plugins/utils";
// mixins
import globalMixins from "./mixins";
// components
import ViewFooter from "@/components/ViewFooter.vue";
import RoomSelect from "../components/base/RoomSelect.vue";
import PlaceSelect from "../components/base/PlaceSelect.vue";
import PrintPlanSelect from "../components/base/PrintPlanSelect.vue";
import CardRuleSelect from "../components/base/CardRuleSelect.vue";
import CourseSelect from "../components/base/CourseSelect.vue";
import PaperNumberSelect from "../components/base/PaperNumberSelect.vue";
import QuestionTeacherSelect from "../components/base/QuestionTeacherSelect.vue";

const components = {
  ViewFooter,
  RoomSelect,
  PlaceSelect,
  PrintPlanSelect,
  CardRuleSelect,
  CourseSelect,
  PaperNumberSelect,
  QuestionTeacherSelect
};

export default {
  install: function(Vue) {
    // 实例方法
    Vue.prototype.$tableAction = tableAction;
    Vue.prototype.$objAssign = objAssign;
    Vue.prototype.$randomCode = randomCode;

    // 注册全局组件
    Object.keys(components).forEach(key => {
      Vue.component(key, components[key]);
    });

    //全局 mixins
    Vue.mixin(globalMixins);
  }
};
